micro_utils.dokka
0.15.1

# FileName

@Serializable
@JvmInline
value class FileName(val string: String)

## Constructors

FileName
Link copied to clipboard
fun FileName(string: String)

## Functions

toString
Link copied to clipboard
open override fun toString(): String

## Properties

extension
Link copied to clipboard
val extension: String
name
Link copied to clipboard
val name: String
nameWithoutExtension
Link copied to clipboard
val nameWithoutExtension: String
string
Link copied to clipboard
val string: String
withoutSlashAtTheEnd
Link copied to clipboard
val withoutSlashAtTheEnd: String